import { jsx } from "react/jsx-runtime";
import { CubeFocus as CubeFocus$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CubeFocus = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CubeFocus", ...props, children: /* @__PURE__ */ jsx(CubeFocus$1, { weight: variant }) });
  }
);
CubeFocus.displayName = "CubeFocus";
Object.assign(CubeFocus, { isGdsIcon: true });
export {
  CubeFocus
};
